AdminControllerClearCaches Method |
POST /Admin/Clear
Clears the specified caches.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Clear")]
public HttpResponseMessage ClearCaches(
[FromBodyAttribute] ClearCacheOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Clear")>
Public Function ClearCaches (
<FromBodyAttribute> options As ClearCacheOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Clear")]
HttpResponseMessage^ ClearCaches(
[FromBodyAttribute] ClearCacheOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Clear")>]
member ClearCaches :
[<FromBodyAttribute>] options : ClearCacheOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsClearCacheOptions
A ClearCacheOptions object containing the needed information. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageStatus code indicating success or a reason for operation failure.
See Also